// Screen Tint

if (tint == true)
{
	// Tint
	draw_set_color(c_blue);
	draw_set_alpha(0.3);
	draw_rectangle(0,0,room_width,room_height,false);
	draw_set_alpha(1);
	draw_set_color(c_white);
	
	// Top Message
	draw_set_halign(fa_middle);
	draw_text_transformed(room_width/2,room_height/2,showText,3,3,0);
	
	// Bottom Message
	if (oBob.state == PSTATE.HOLE) var txt = "Press Enter to Continue";
	else txt = "Press R to Restart";
	
	if (fbTmr<30) draw_text(room_width/2,(room_height/2)+20,txt);
	draw_set_halign(fa_left);
}

// Overlay

if (overlay == true)
{
	draw_set_color(c_black);
	draw_rectangle(0,0,room_width,16,false);
	draw_set_color(c_white);
	draw_rectangle(0,16,room_width,16,true);
	
	// Drawing Room Name
	draw_text(2,5,"Level "+string(roomLevel)+": "+roomName);
	
	// Drawing Supplies
	if (instance_exists(oCursor))
	{
		var spacing = 40;
		for (var i = 0; i < sprite_get_number(sAmount)-1; i++)
		{
			var color = c_white;
			if (oCursor.amount[i]==0) color = make_color_rgb(238,95,100);
			draw_set_color(color);
		
			draw_sprite_ext(sAmount,i,145+i*spacing,0,1,1,0,color,1);
			draw_text(162+i*spacing,5,string(oCursor.amount[i]));
			draw_set_color(c_white);
		}
	}
	
	// Drawing Cursor Selection
	
	if (instance_exists(oCursor))
	{
		var spacing = 20;
		for (var i = 0; i < sprite_get_number(sCurGui); i++)
		{
			var color = c_white;
			if (oCursor.select-1 != i) color = make_color_rgb(238,95,100);
			draw_set_color(color);
			if (room == volcanoEnd) && (i == 5) i = 6;
			draw_sprite_ext(sCurGui,i,400+i*spacing,0,1,1,0,color,1);
			draw_set_color(c_white);
		}
	}
	
	// Drawing Coin Count
	
	draw_set_color(c_black);
	draw_rectangle(470,262,502,282,false);
	draw_set_color(c_white);
	draw_rectangle(470,262,502,282,true);
	
	draw_sprite(sCoin,0,474,266);
	draw_text(490,269,string(global.coins+global.coinsLvl));
}

if (fade == true)
{
	draw_set_color(c_black);
	draw_set_alpha(opacity);
	draw_rectangle(0,0,room_width,room_height,false);
	draw_set_alpha(1);
	draw_set_color(c_white);
}