///@arg0 preset
///@arg1 amount

for (var i = 0; i < argument1; i ++)
{
	var particle = instance_create_layer(x,y,"Guys",oParticle);
	
	with (particle)
	{
		switch (argument0)
		{
			case 0: // Fireball
			{
				sprite_index = sFlame;
				hsp = random_range(-1,1);
				vsp = random_range(-1,1);
				zsp = irandom_range(-1,-3);
				shadow = true;
				bounce = true;
				break;
			}
			case 1: // Bob Burning Fire
			{
				y = oBob.y+oBob.z+8+irandom_range(-5,5);
				x = oBob.x+8+irandom_range(-5,5);
				sprite_index = sFlame;
				grv = 0;
				duration = irandom_range(10,15);
				depth = 10;
				break;
			}
			case 2: // Lava Spawning Fireball
			{
				x = irandom_range(1,32)*16;
				y = irandom_range(1,18)*16;
				if (place_meeting(x,y,oLava))
				{
					sprite_index = sFlame;
					hsp = random_range(-1,1);
					vsp = random_range(-1,1);
					zsp = irandom_range(-1,-3);
					shadow = true;
					bounce = true;
				}
				else instance_destroy();
				break;
			}
			case 3: // Confetti
			{
				sprite_index = sConfetti;
				hsp = random_range(-1,1);
				vsp = random_range(-1,1);
				zsp = irandom_range(-1,-2);
				duration = 30;
				break;
			}
			case 4: // Weak Wall Piece
			{
				sprite_index = sWeakPiece;
				hsp = random_range(-1,1);
				vsp = random_range(-1,1);
				zsp = -1;
				duration = 60;
				break;
			}
			case 5: // Smoke
			{
				sprite_index = sSmoke;
				hsp = random_range(-1/8,1/8);
				vsp = random_range(-1/8,1/8);
				x += irandom_range(-9,9);
				y += irandom_range(-9,9);
				zsp = -1/2;
				grv = 0;
				duration = 70;
				break;
			}
		}
	}
}