// Positioning

x = mouse_x-grid/2;
y = mouse_y-grid/2;

switch (select)
{
	case 1: // Placing Turns
	{
		// Positioning
		move_snap(grid,grid);
		
		// Rotating Turn
		if (keyboard_check_pressed(ord("E")))
		{
			if (item == 0) || (item == 4)
			{
				image ++;
				if (image > 3) image = 0;
			}
			
			if (item == 5)
			{
				image ++;
				if (image > 1) image = 0;
			}
		}
		if (room == volcano2) image = 0;
		
		// Checking if on placeable surface
		place = true;
		if (!place_meeting(x,y,oPlace)) place = false;
		if (place_meeting(x,y,pUnplace)) || (place_meeting(x,y,pWall)) || (place_meeting(x,y,oLava)) place = false;
		
		if (place == true) image_index = 0;
		else image_index = 1;
		
		// Checking if you ran out of materials on current selection
		if (amount[item]==0)
		{
			image_index = 6;
			place = false;
		}
		
		break;
	}
	case 2: // Shield
	{
		if (shineTmr < 1) image_index = 2;
		else 
		{
			shineTmr --;
			image_index = 3;
		}
		
		if (instance_exists(oTurret)) 
		{
			var turret = instance_nearest(x,y,oTurret);
			if (distance_to_point(turret.x+8,turret.y+8)<turret.range) 
			{
				if (broken == false) 
				{
					audio_stop_sound(zBreak);
					audio_play_sound(zBreak,0,false);
				}
				image_index = 7;
				broken = true;
			}
			else broken = false;
		}
		else broken = false;
		break;
	}
	case 3: // Pointer Finger
	{
		if (mouse_check_button(mb_left)) image_index = 5;
		else image_index = 4;
		
		break;
	}
}

if (mouse_check_button_pressed(mb_left))
{
	click = true;
	executeSelect(select);
}
else click = false;

// Switching Selection

if (keyboard_check_pressed(vk_anykey))
{
	for (var i = 1; i < 4; i ++)
	{
		if (keyboard_check_pressed(ord(string(i))))
		{
			select = 0;
			itemSprite = sNone;
			image = 0;
			changeSelect(i);
		}
	}
}

// Executing Selection

